Loading...
Searching...
No Matches
GSIStack< T > Class Template Reference

`#include <XrdSecProtocolgsi.hh>`

Collaboration diagram for GSIStack< T >:

## Public Member Functions

void | Add (T *t)
void | Del (T *t)

## Detailed Description

template<class T>
class GSIStack< T >

Definition at line 256 of file XrdSecProtocolgsi.hh.

## Member Function Documentation

## Add()

template<class T>

void GSIStack< T >::Add | ( | T * | t | ) |

inline

Definition at line 258 of file XrdSecProtocolgsi.hh.

{
char k[40]; snprintf(k, 40, "%p", static_cast<void*>(t));
mtx.Lock();
if (!stack.Find(k)) stack.Add(k, t, 0, Hash_count); // We need an additional count
stack.Add(k, t, 0, Hash_count);
mtx.UnLock();
}
GSIStack
Definition XrdSecProtocolgsi.hh:256

References Hash_count.

## Del()

template<class T>

void GSIStack< T >::Del | ( | T * | t | ) |

inline

Definition at line 265 of file XrdSecProtocolgsi.hh.

{
char k[40]; snprintf(k, 40, "%p", static_cast<void*>(t));
mtx.Lock();
if (stack.Find(k)) stack.Del(k, Hash_count);
mtx.UnLock();
}

References Hash_count.

The documentation for this class was generated from the following file:

- XrdSecProtocolgsi.hh